<?php

	$cartaRapidaPaletsObligatorios=arreglaArrayPXMobileProxiumResult($_SESSION['orden']['PaletsCargaObligatoria']);

	if(count($cartaRapidaPaletsObligatorios)>0) {
	
		$mostrarEsteContenido=true;
	
		//Para el caso de solo pendientes, hacemos un primer recorrido para ver si quedan. Si no quedan, ni mostramos esto
		if($soloPendientes) {
			$quedanPendientes=false;
			foreach($cartaRapidaPaletsObligatorios as $item) {
				$itemLeido=0;
                foreach($productos as $item2) {
                    if($item2['Codigo']==$item['Producto']) $itemLeido++;
                }
				if($itemLeido<$item['Cantidad']) $quedanPendientes=true;
			}
			if(!$quedanPendientes) $mostrarEsteContenido=false;
		}
		
		if($mostrarEsteContenido) {
		?>
        
        <h3>Palets de carga obligatoria<?php if($soloPendientes) { ?> pendientes<?php } ?>:</h3>
        
        <div id="popupCargaRapidaUbicaciones" class="popup" style="display:none;"></div>
		<div class="popupContenidoScroll" id="popupCargaRapidaUbicacionesContenido" style="display:none;"></div>
        
        <table class="tablaFormateada" style="font-size:1em">
            <tr>
				<th>Código</th>
                <th>Descripción</th>
                <th>Ref. Cliente</th>
                <th>Cantidad</th>
                <th>Preparado</th>
                <th>Ubicaciones</th>
            </tr>
            
            <?php $errorCargaRapidaPaletsObligatorios=false; ?>
		
			<?php foreach($cartaRapidaPaletsObligatorios as $item) { ?>
            
            	<?php
                $itemLeido=0;
                foreach($productos as $item2) {
                    if($item2['Codigo']==$item['Producto']) $itemLeido++;
                }
                
                if( ( !$_SESSION['orden']['NumPaletsServir'] || ($_SESSION['orden']['NumPaletsServir'] && $cantidadAgrupacionesEnEstaOrden==$_SESSION['orden']['NumPaletsServir']) ) && $itemLeido<$item['Cantidad']) {
                    $errorCargaRapidaPaletsObligatoriosIndividual=true;
                    $errorCargaRapidaPaletsObligatorios=true;
                }
                else $errorCargaRapidaPaletsObligatoriosIndividual=false;
                
                if( ($soloPendientes && $itemLeido<$item['Cantidad']) || !$soloPendientes ) {
                ?>
            
                <tr <?php if($errorCargaRapidaPaletsObligatoriosIndividual && !$soloPendientes) { ?>class="rojo"<?php } ?>>
                    <td><?php echo $item['Producto']; ?></td>
                    <td><?php echo $item['ProductoDescripcion']; ?></td>
                    <td><?php echo $item['ReferenciaCliente']; ?></td>
                    <td><?php echo $item['Cantidad']; ?></td>
                    <td><?php echo $itemLeido; ?></td>
                    <td><img src="<?php echo DIR_IMAGENES; ?>/buscar.png" width="40" height="40" class="botonCargaRapidaUbicaciones clicable" producto="<?php echo $item['Producto']; ?>" referencia="<?php echo $item['ReferenciaCliente']; ?>"/></td>
                </tr>
                
            	<?php } ?>
            
            <?php } ?>
        </table>
        
        <script>
		
		$(document).ready(function(){
		
			$('.botonCargaRapidaUbicaciones').on('click',function(){
		
				var producto=$(this).attr('producto');
				var referencia=$(this).attr('referencia');
		
				$('#popupCargando').show();
						
				$.post( "<?php echo $rutaHtml; ?>/contenidos/orden-preparacion-carga-rapida-ubicaciones.php<?php if($_GET['traza']=='si') { ?>?traza=si<?php } ?>", { 'cliente' : '<?php echo $_SESSION['orden']['Cliente']; ?>' , 'producto' : producto , 'referencia' : referencia })
				.done(function(data) {
									
					$('#popupCargaRapidaUbicacionesContenido').html(data);
									
					$('#popupCargaRapidaUbicaciones').show();
					
					var posicion = $('html').scrollTop();
					$('#popupCargaRapidaUbicacionesContenido').css('top',parseInt(posicion)+50);
					
					$('#popupCargaRapidaUbicacionesContenido').show();
					
					$('#popupCargando').hide();
										
				});
				
			});
			
			$(document).on('click','#botonCargaRapidaUbicacionesCerrar',function(){
				$('#popupCargaRapidaUbicacionesContenido').html('');
				$('#popupCargaRapidaUbicacionesContenido').hide();
				$('#popupCargaRapidaUbicaciones').hide();
			});
			
		});
		
		
		</script>
        
        <?php } //Fin if mostrar este contenido (caso solo pendientes) ?> 
          
	<?php } //Fin if hay obligatorios en la OP ?>  
	